sdr::FFTPlan< double > Class Template Reference

Template specialization for a FFT transform on std::complex<double> values. More...

`#include <fftplan_fftw3.hh>`

## Public Member Functions

| FFTPlan (const Buffer< std::complex< double > > &in, const Buffer< std::complex< double > > &out, FFT::Direction dir)
| Constructor. More...
| FFTPlan (const Buffer< std::complex< double > > &inplace, FFT::Direction dir)
| Constructor. More...
virtual | ~FFTPlan ()
| Destructor. More...
void | operator() ()
| Performs the transformation. More...

## Protected Attributes

Buffer< std::complex< double > > | _in
| Input buffer. More...
Buffer< std::complex< double > > | _out
| Output buffer. More...
fftw_plan | _plan
| The FFT plan. More...

## Detailed Description

### template<>
class sdr::FFTPlan< double >

Template specialization for a FFT transform on std::complex<double> values.

## Constructor & Destructor Documentation

sdr::FFTPlan< double >::FFTPlan | ( | const Buffer< std::complex< double > > & | in,
|  | const Buffer< std::complex< double > > & | out,
|  | FFT::Direction | dir
| ) |  |

inline

Constructor.

sdr::FFTPlan< double >::FFTPlan | ( | const Buffer< std::complex< double > > & | inplace,
|  | FFT::Direction | dir
| ) |  |

inline

Constructor.

virtual sdr::FFTPlan< double >::~FFTPlan | ( |  | ) |

inlinevirtual

Destructor.

## Member Function Documentation

void sdr::FFTPlan< double >::operator() | ( |  | ) |

inline

Performs the transformation.

## Member Data Documentation

Buffer< std::complex<double> > sdr::FFTPlan< double >::_in

protected

Input buffer.

Buffer< std::complex<double> > sdr::FFTPlan< double >::_out

protected

Output buffer.

fftw_plan sdr::FFTPlan< double >::_plan

protected

The FFT plan.

The documentation for this class was generated from the following file:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/fftplan_fftw3.hh